import request from '@/utils/request'

//机具类型管理列表信息
export function getListAccessory(query) {
  return request({
      url: '/material/ma_part_type/list',
      method: 'get',
      params: query,
  })
}

//机具类型管理列表信息
export function getListTree(query) {
  return request({
      url: '/material/ma_part_type/getPartTree',
      method: 'get',
      params: query,
  })
}

//查看机具类型管理列表详细信息
export function getAccessoryDetail(id) {
  return request({
      url: '/material/ma_part_type/'+ id,
      method: 'get',
  })
}



// 仓库管理--删除
export function delAccessory(id) {
  return request({
      url: '/material/ma_part_type/' + id,
      method: 'delete',
  })
}

// 仓库管理--修改
export function editAccessory(data) {
  return request({
      url: '/material/ma_part_type',
      method: 'put',
      data: data,
  })
}

// 仓库管理--新增
export function addAccessory(data) {
  return request({
      url: '/material/ma_part_type',
      method: 'post',
      data: data,
  })
}


